
//添加留言
$(function() {
    $("#addmsg").click(function() {
  
        if( checkVerificode())
    {
        var data = {
            name: $("#name").val()+",年龄："+$("#age").val(),
            email: $("#email").val()+", 学号："+$("#xh").val(),
            qq: $("#qq").val(),
            phone: $("#phone").val(),
            title: $("#school").val()+",专业："+$("#zy").val(),
            content: $("#content").val()
        };
        $.ajax({
           
            type: "POST",
            url: "/Service/AddMsg.ashx",
            data: data,
            success: function(data) {
                alert(data);
                window.location.href = "/"
            },
            error: function(data) {
          alert(data)
        }
        })
 }
    })
   
    
});

//文章访问量
function Hot(id) {
    var data = {
        id: id
    };
    $.ajax({
        type: "POST",
        url: "/Service/hot.ashx",
        data: data,
        success: function(data) {}
    })
}

//产品订购
$(function() {
    $("#addorder").click(function() {
  
  
  if($("#name").val()=="")
  {
    alert('激活码不可以为空');
    return;
  }
   if($("#qq").val()=="")
  {
    alert('盛大通行证不可以为空');
     return;
  }
   if($("#phone").val()=="")
  {
    alert('密码不可以为空');
     return;
  }
    
       if( true)
    {
        var data = {
            name: $("#name").val(),
            email: $("#email").val(),
            qq: $("#qq").val(),
            phone: $("#phone").val(),
            title: $("#title").val(),
            content: $("#content").val(),
            address: $("#address").val(),
            productid: $(childlist).children("option:selected").val(),
            types: $("#types").val()
        };
        $.ajax({
            type: "POST",
            url: "/Service/Order.ashx",
            data: data,
            success: function(data) {
                alert("恭喜参加活动成功，24小时后即可领取对应奖励。");
                window.location.href = "/169zz.asp"
            }
        })
        }
    })
});

//显示产品订购列表
$(function() {
    $("#fatherList").change(function() {
        var id = $(this).children("option:selected").val();
       
        ProductList(id)
    })
});
function ProductList(id) {
    $.ajax({
        type: "GET",
        url: "Service/ProductList.ashx",
        dataType: "text",
        data: "id=" + id,
        success: function(msg) {
            if (id != "") {
                $("#childlist").html(msg)
            } else {
                $("#fatherList").html(msg)
            }
        },
        error: function(data) {
           // alert(data)
        }
    })
};
///随机生成几个数字

function RndNum(n){
  var rnd="";
  for(var i=0;i<n;i++)
     rnd+=Math.floor(Math.random()*10);
  return rnd;
}
var Verificode=RndNum(4);
document.getElementById("Verificode").innerHTML=Verificode;

function checkVerificode(){
var txterificode=document.getElementById("txtVerificode").value;
if(txterificode.length<4)
{
    alert("验证码不可以为空");
    return false;
}


if(txterificode!=Verificode)
{
    alert("验证码错误");
    return false;
}
return true;

}
//搜索框
function Search()
{

    var q=document.getElementById('q').value;
    if(q=="")
    {
        document.getElementById('q').value="请输入要搜索的关键词";
    }
    else
    {
        location.href="/search.html?q="+ encodeURI(q);
    }
}
//搜索框2
function Search2()
{

    var q=document.getElementById('q2').value;
    if(q=="")
    {
        document.getElementById('q2').value="请输入要搜索的关键词";
    }
    else
    {
        location.href="/search.html?q="+ encodeURI(q);
    }
}

//获取url get 传递参数： 使用方法  var url=location.href;      var urlname=url.GetValue("url");
function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return r[2]; return null;
    }

//搜索结果集
function SearchResult() {


   var q=getQueryString('q');
  
    
   if(q==null)
   {
    document.getElementById('q').value=q;
   }
   else
   {
    $.ajax({
        type: "GET",
        url: "/Service/Search.ashx",
        dataType: "text",
        data: "q=" + q,
        success: function(msg) {
           
                $("#result").html(msg)
           
        },
        error: function(data) {
        
           // alert(data)
        }
    })
    }
}

